Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036297
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2017-06-20 13:102018-02-22 17:23
ReportermaiteView Statuspublic 
Assigned Tocollazoandy4 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision9076baa5e480
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date2017-03-04
Regression introduced in release3.0PR17Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/321aa371a03d [^]
Triggers an Emergency PackNo
Summary

0036297: Wrong schedule details information when Voiding an invoice which is prepaid via sales order

DescriptionIn case prepaid order has several invoices related and one of them is voided:
  - proper dummy payment is created to cancel voided invoice's schedule detail
  - the other invoice's schedule detail is wrongly updated
Steps To Reproduce1. Register Sales Order for "Alimentos y Supermercados, S.A" and Invoice terms=immediate
2. Remove record added in Basic Discount tab, to simplify the flow
3. Add new line for product "Agua sin Gas 1L", price=53 and tax= Ventas exentas
4. Add new line for product "Agua sin Gas 1L", price=53 and tax= Ventas exentas
5. Add new line for product "Agua sin Gas 1L", price=53 and tax= Ventas exentas
6. Process order
7. Run Add payment to completely prepaid the order
8. Register Sales Invoice for "Alimentos y Supermercados, S.A", run "create lines from" and select one line. Process invoice
9. Register another Sales Invoice for "Alimentos y Supermercados, S.A", run "create lines from" and select one line. Process invoice
10. Access to payment related with the order and verify that Lines information is correct: there are 3 lines with amount 53. 2 of them related with each previous invoice and the other no associated to any invoice
11. Access last Sales Invoice and run "Void" process
12. Come back to the payment and realize that there are only 2 lines (which is correct as invoice's detail has been associated with created dummy payment) but that line related with invoice has incorrect amount of 106 instead of 53
TagsNo tags attached.
Attached Files? file icon fix_psd_data_36297.sql [^] (1,935 bytes) 2017-07-21 09:34

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034993 closedSanjota Prepayment amount value is not correctly updated after changing the Sales Invoice lines. 
related to design defect 0035339 scheduledcollazoandy4 Prepayment Amount shown / updated in the invoices is not correct for some scenarios. 
depends on backport 00362983.0PR17Q2.2 closedcollazoandy4 Wrong schedule details information when Voiding an invoice which is prepaid via sales order 
depends on backport 00363863.0PR17Q3 closedcollazoandy4 Wrong schedule details information when Voiding an invoice which is prepaid via sales order 
caused by defect 0034992 closedcollazoandy4 Payment Plan deleted when Voiding an invoice which is prepaid via sales order 
related to defect 0037206 scheduledcollazoandy4 Wrong outstanding amount after voiding a partial prepaid sales invoice 

-  Notes
(0097510)
ngarcia (developer)
2017-06-20 13:31
edited on: 2017-06-20 13:32

Other case:

   Create a Sales Order, with Immediate Invoice Terms
   Add a Payment In to it
   Go to Create Invoices From Orders and invoice it
   Void the sales invoice
   Check the first Payment In is shown without lines

   Go to Create Invoices From Orders and invoice it again
   Check you can pay the new invoice, that should be prepaid

(0097712)
collazoandy4 (developer)
2017-06-27 15:43

Test Plan
 Test Case 1 Partially invoiced
   Go to Sales Order window and create a new record for Alimentos y Supermercados, S.A and Invoice terms Immediate
     Remove the record in Basic Discount tab
     Create three new records in Lines tab:
       Product: Agua sin Gas 1L:
       Unit price: 53
       Tax: Ventas exentas
     Complete and Pay the order
   Check a new Payment in was created with one line Invoice Amount / Expected Amount / Received Amount: 159 Not asociated to any invoice
   Check the order payment details tab have one line with:
     Expected Amount / Received Amount: 159
     Write-off Amount: 0
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select one line of previous order.
     Complete invoice
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select one line of previous order.
     Complete invoice
   Check the order Payment in contains now 3 lines:
     Line one and two with Invoice Amount / Expected Amount / Received Amount: 53
     Line three with Invoice Amount / Expected Amount: 159 and Received Amount: 53
   Check the order payment details tab have now 3 lines with:
     Line one and two Expected Amount / Received Amount: 53 and Write-off Amount: 0
     Line three Expected Amount: 159, Received Amount: 53 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 1 lines with:
       Received Amount / Amount: 53 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -53 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+53) and the other related to the reverse invoice (-53)
     The order Payment in contains now 2 lines:
       Line one with Invoice Amount / Expected Amount / Received Amount: 53 Asociated to the not voided invoice
       Line two with Invoice Amount / Expected Amount: 159 and Received Amount: 106
     The order payment details tab have now 2 lines with:
       Line one Expected Amount / Received Amount: 53 and Write-off Amount: 0
       Line two Expected Amount: 159, Received Amount: 106 and Write-off Amount: 0
   Void the first invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 1 lines with:
       Received Amount / Amount: 53 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -53 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+53) and the other related to the reverse invoice (-53)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 2 Completely invoiced
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select all lines of previous order.
     Complete invoice
   Check the order Payment in contains now 1 line:
     Line one with Invoice Amount / Expected Amount / Received Amount: 159
   Check the order payment details tab have now 1 line with:
     Line one Expected Amount / Received Amount: 159 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 1 lines with:
       Received Amount / Amount: 159 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -159 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+159) and the other related to the reverse invoice (-159)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 3 Partially invoiced with greater price
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select one line of previous order.
     Edit the line price to 60
     Complete invoice
   Check the order Payment in contains now 2 line:
     Line one with Invoice Amount / Expected Amount: 159, Received Amount: 99
     Line two with Invoice Amount / Expected Amount / Received Amount: 60
   Check the order payment details tab have now 2 line with:
     Line one Expected Amount: 159, Received Amount: 99 and Write-off Amount: 0
     Line two Expected Amount / Received Amount: 60 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 1 lines with:
       Received Amount / Amount: 60 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -60 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+60) and the other related to the reverse invoice (-60)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 4 Completely invoiced with greater price
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select all lines of previous order.
     Edit the lines price to 60
     Complete invoice
   Check the order Payment in contains now 1 line:
     Line one with Invoice Amount / Expected Amount: 180, Received Amount: 159
   Check the order payment details tab have now 1 line with:
     Line one Expected Amount: 180, Received Amount: 159 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 2 lines with:
       Received Amount: 21, Amount: 180 and Write-off Amount: 0
       Received Amount: 159, Amount: 180 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -180 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+180) and the other related to the reverse invoice (-180)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 5 Partially invoiced with less price
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select one line of previous order.
     Edit the line price to 50
     Complete invoice
   Check the order Payment in contains now 2 line:
     Line one with Invoice Amount / Expected Amount: 159, Received Amount: 109
     Line two with Invoice Amount / Expected Amount / Received Amount: 50
   Check the order payment details tab have now 2 line with:
     Line one Expected Amount: 159, Received Amount: 109 and Write-off Amount: 0
     Line two Expected Amount / Received Amount: 50 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 1 lines with:
       Received Amount / Amount: 50 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -50 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+50) and the other related to the reverse invoice (-50)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 6 Completely invoiced with less price
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select all lines of previous order.
     Edit the lines price to 60
     Complete invoice
   Check the order Payment in contains now 1 line:
     Line one with Invoice Amount / Expected Amount: 150, Received Amount: 159
   Check the order payment details tab have now 1 line with:
     Line one Expected Amount: 150, Received Amount: 159 and Write-off Amount: 0
   Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 2 lines with:
       Received Amount: -9, Amount: 150 and Write-off Amount: 0
       Received Amount: 159, Amount: 150 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -150 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with two lines, one asociated to the invoice (+150) and the other related to the reverse invoice (-150)
     The order Payment in have one line with:
       Invoice Amount / Expected Amount / Received Amount: 159
     The order payment details tab have now 1 line with:
       Expected Amount / Received Amount: 159 and Write-off Amount: 0

   Test Case 7 Multiple order payment partially invoiced
   Go to Sales Order window and create a new record for Alimentos y Supermercados, S.A and Invoice terms Immediate
     Remove the record in Basic Discount tab
     Create one new record in Lines tab:
       Product: Agua sin Gas 1L:
       Unit price: 5
       Tax: Ventas exentas
       Qty: 10
     Complete and Pay the order by 25 and Pay it again with 10
   Check two new Payments was created:
    First one with one line Invoice Amount / Expected Amount: 50, Received Amount: 25 Not asociated to any invoice
    Second with one line Invoice Amount / Expected Amount: 50, Received Amount: 10 Not asociated to any invoice
   Check the order payment details tab have two lines with:
     Line one Expected Amount: 50, Received Amount: 25 and Write-off Amount: 0
     Line two Expected Amount: 50, Received Amount: 10 and Write-off Amount: 0
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select the line of previous order.
     Edit the line qty to 5
     Complete invoice
   Check the last order Payment in contains now 1 line:
     Line one with Invoice Amount / Expected Amount: 25, Received Amount: 10
   Check the other order Payment in contains now 2 line:
     Line one with Invoice Amount / Expected Amount: 25, Received Amount: 15
     Line two with Invoice Amount / Expected Amount: 50, Received Amount: 10
   Check the order payment details tab have now 3 line with:
     Line one Expected Amount: 50, Received Amount: 10 and Write-off Amount: 0
     Line one Expected Amount: 25, Received Amount: 10 and Write-off Amount: 0
     Line one Expected Amount: 25, Received Amount: 15 and Write-off Amount: 0
   Void Previous invoice created and check
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 2 lines with:
       Received Amount: 10, Amount: 25 and Write-off Amount: 0
       Received Amount: 15, Amount: 25 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -25 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with three lines, two asociated to the invoice (+10 and +15) and the other related to the reverse invoice (-25)
     The First order payment in with one line Invoice Amount / Expected Amount: 50, Received Amount: 25 Not asociated to any invoice
     The Second order payment in with one line Invoice Amount / Expected Amount: 50, Received Amount: 10 Not asociated to any invoice
     Check the order payment details tab have two lines with:
       Line one Expected Amount: 50, Received Amount: 25 and Write-off Amount: 0
       Line two Expected Amount: 50, Received Amount: 10 and Write-off Amount: 0

  Test Case 8 Multiple order payment completely invoiced
   Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select the line of previous order and complete it
   Check the last order Payment in contains now 1 line:
     Line one with Invoice Amount / Expected Amount: 50, Received Amount: 10
   Check the other order Payment in contains now 1 line:
     Line two with Invoice Amount / Expected Amount: 50, Received Amount: 25
   Check the order payment details tab have now 3 line with:
     Line one Expected Amount: 50, Received Amount: 10 and Write-off Amount: 0
     Line one Expected Amount: 50, Received Amount: 25 and Write-off Amount: 0
   Void Previous invoice created and check
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 3 lines with:
       Received Amount: 10, Amount: 50 and Write-off Amount: 0
       Received Amount: 15, Amount: 50 and Write-off Amount: 0
       Received Amount: 25, Amount: 50 and Write-off Amount: 0
     The reverse invoice payment details tab have 1 lines with:
       Received Amount / Amount: -50 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with four lines, three asociated to the invoice (+10, +15, and +25) and the other related to the reverse invoice (-25)
     The First order payment in with one line Invoice Amount / Expected Amount: 50, Received Amount: 25 Not asociated to any invoice
     The Second order payment in with one line Invoice Amount / Expected Amount: 50, Received Amount: 10 Not asociated to any invoice
     Check the order payment details tab have two lines with:
       Line one Expected Amount: 50, Received Amount: 25 and Write-off Amount: 0
       Line two Expected Amount: 50, Received Amount: 10 and Write-off Amount: 0
(0097812)
collazoandy4 (developer)
2017-07-04 00:15

Test Case 9 Split payment plan
  Login as group admin role:
  Create new Payment Term:
    Search key / Name: SplitPaymentTerm
    Overdue Payment Days Rule: 75
    Line 1:
      Percentage due: 33.33
      Overdue Payment Days Rule: 15
      Rest: N
    Line 2:
      Percentage due: 33.33
      Overdue Payment Days Rule: 45
      Rest: N
  Create a new Sales order for Alimentos y Supermercados, S.A with Payment terms: SplitPaymentTerm and Invoice terms: Immediate
    Line 1:
      Product: Agua sin Gas 1L:
      Unit price: 53
      Tax: Ventas exentas
    Complete and Pay the order
  Check a new Payment in was created with one line Invoice Amount / Expected Amount / Received Amount: 53 Not asociated to any invoice
  Check the order payment details tab have one line with:
     Expected Amount / Received Amount: 53
     Write-off Amount: 0
  Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A and Run "Create lines from" and select the line of previous order.
     Complete invoice
  Check the order Payment in contains now 3 lines:
     Line one, two and three with Invoice Amount: 53 Expected Amount / Received Amount: 17.66
  Check the order payment details tab have now 3 lines with:
     Line one and two Expected Amount / Received Amount / Write-off Amount: 17.66
  Void the last invoice created and check:
     Invoice Payment complete: Y
     Invoice Prepayment Amount: 0
     The invoice payment details tab have 3 lines with:
       Received Amount / Amount: 17.66 and Write-off Amount: 0
     The reverse invoice payment details tab have 3 lines with:
       Received Amount / Amount: -17.66 and Write-off Amount: 0
     A new Dummy Payment was created (amount = 0) with six lines, three asociated to the invoice (+17.66) and the others three related to the reverse invoice (-17.66)
     The order Payment in have three line with:
       Line one, two and three with Invoice Amount / Expected Amount: 53 and Received Amount: 17.66
     The order payment details tab have now 3 lines with:
       Expected Amount: 53, Received Amount: 17.66 and Write-off Amount: 0
(0097881)
hgbot (developer)
2017-07-05 19:26

Repository: erp/devel/pi
Changeset: 9076baa5e4802694d6a5034631d9742f7ab821ef
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Jun 23 10:40:44 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9076baa5e4802694d6a5034631d9742f7ab821ef [^]

Fixes issue 36297: Wrong schedule details when voiding a prepaid invoice

The void process of prepaid invoice was taking into account all payments schedule
detail to update their amount with the invoice payment schedule amount.

Now the order payment schedule detail update it it's the one not asociated to any invoice
or a new one is created if the order have no pending payment schedule detail.

The invoice prepayment amount was also incorrect when the invoice is created from
CreateInvoicesFromOrder process and the order have a discount line.

Now the compute of prepayment amount is made without join the order lines to prevent
duplicate the payment schedule paidamt.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0097883)
aferraz (developer)
2017-07-05 19:33

Code review + Testing OK
(0097993)
aferraz (developer)
2017-07-10 17:51

Reopened as script to fix data is pending.
(0098173)
vmromanos (developer)
2017-07-21 09:35

Set to closed again because script to fix data has been attached to the issue
(0099236)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0102626)
hgbot (developer)
2018-02-22 17:22

Repository: tools/automation/int
Changeset: 79dca4afb4008b58c3cb3e14c21ad4c53f7927bc
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Sep 05 16:57:00 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/79dca4afb4008b58c3cb3e14c21ad4c53f7927bc [^]

Related to issue 36297: Added some automated test

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRIn_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APROut_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/build.xml
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRRegression36297In.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APRRegression36297Out.java
---
(0102627)
hgbot (developer)
2018-02-22 17:23

Repository: tools/automation/int
Changeset: 52e75a892cd2d355e9b53e3b85576996c93938d9
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Sep 19 17:31:14 2017 -0400
URL: http://code.openbravo.com/tools/automation/int/rev/52e75a892cd2d355e9b53e3b85576996c93938d9 [^]

Related to issue 36297: Moved tests to SAL PRO suite

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRIn_RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APROut_RegressionSuite.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/procurement/testsuites/PRO_Regressions/PRORegression36297Out.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/sales/testsuites/SAL_Regressions/SALRegression36297In.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions/APRRegression36297In.java
R src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APROut_Regressions/APRRegression36297Out.java
---

- Issue History
Date Modified Username Field Change
2017-06-20 13:10 maite New Issue
2017-06-20 13:10 maite Assigned To => Triage Finance
2017-06-20 13:10 maite Modules => Advanced Payables and Receivables Mngmt
2017-06-20 13:10 maite Triggers an Emergency Pack => No
2017-06-20 13:10 maite Relationship added caused by 0034992
2017-06-20 13:10 maite Issue Monitored: networkb
2017-06-20 13:11 maite Priority urgent => immediate
2017-06-20 13:31 ngarcia Note Added: 0097510
2017-06-20 13:32 ngarcia Note Edited: 0097510 View Revisions
2017-06-20 13:33 ngarcia Issue Monitored: ngarcia
2017-06-20 13:50 aferraz Assigned To Triage Finance => collazoandy4
2017-06-20 13:51 aferraz Regression level => Production - QA Approved
2017-06-20 13:51 aferraz Regression date => 2017-03-04
2017-06-20 13:51 aferraz Regression introduced in release => 3.0PR17Q2
2017-06-20 13:51 aferraz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/321aa371a03d [^]
2017-06-20 13:52 aferraz Status new => scheduled
2017-06-27 15:43 collazoandy4 Note Added: 0097712
2017-07-03 11:22 aferraz Status scheduled => feedback
2017-07-03 11:22 aferraz Status feedback => scheduled
2017-07-04 00:15 collazoandy4 Note Added: 0097812
2017-07-04 09:24 aferraz Relationship added related to 0034993
2017-07-04 09:24 aferraz Relationship added related to 0035339
2017-07-05 19:26 hgbot Checkin
2017-07-05 19:26 hgbot Note Added: 0097881
2017-07-05 19:26 hgbot Status scheduled => resolved
2017-07-05 19:26 hgbot Resolution open => fixed
2017-07-05 19:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9076baa5e4802694d6a5034631d9742f7ab821ef [^]
2017-07-05 19:33 aferraz Review Assigned To => aferraz
2017-07-05 19:33 aferraz Note Added: 0097883
2017-07-05 19:33 aferraz Status resolved => closed
2017-07-05 19:33 aferraz Fixed in Version => 3.0PR17Q4
2017-07-10 17:50 aferraz Status closed => new
2017-07-10 17:50 aferraz Resolution fixed => open
2017-07-10 17:50 aferraz Fixed in Version 3.0PR17Q4 =>
2017-07-10 17:51 aferraz Note Added: 0097993
2017-07-21 09:34 vmromanos Resolution open => fixed
2017-07-21 09:34 vmromanos Fixed in Version => 3.0PR17Q4
2017-07-21 09:34 vmromanos Status new => scheduled
2017-07-21 09:34 vmromanos Status scheduled => resolved
2017-07-21 09:34 vmromanos File Added: fix_psd_data_36297.sql
2017-07-21 09:35 vmromanos Note Added: 0098173
2017-07-21 09:35 vmromanos Status resolved => closed
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099236
2017-11-02 08:17 AtulOpenbravo Relationship added related to 0037206
2018-02-22 17:22 hgbot Checkin
2018-02-22 17:22 hgbot Note Added: 0102626
2018-02-22 17:23 hgbot Checkin
2018-02-22 17:23 hgbot Note Added: 0102627


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker